Subject: bug#43714: 28.1: auto-revert code improvements [PATCH]

From: Boruch Baum <[email-masked]>
Date: Wed, 30 Sep 2020 12:59:34 -0400

On 2020-09-30 19:03, Eli Zaretskii wrote:
> Why is that a problem to leave save-match-data alone?  Does it do any
> harm?

I explicitly said in the introduction to the patch that it wasn't
'fixing' anything broken, just cleaning things up (potentially /
hopefully). When I was researching how to best implement that "auto-revert
only if visible" feature, I found myself puzzling over some parts of the
code and came to clean it up to be better able to wok on it.

That said, You could leave the (save-match-data alone, and accept the other
changes; the other proposed changes are clearly independent.

--
hkp://keys.gnupg.net
CA45 09B5 5351 7C11 A9D1  7286 0036 9E45 1595 8BC0